Update a reference
curl --request POST \
--url https://api.yorlet.com/v1/references/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {},
"reference_pdf": "<string>",
"status": "processing"
}
'import requests
url = "https://api.yorlet.com/v1/references/{id}"
payload = {
"metadata": {},
"reference_pdf": "<string>",
"status": "processing"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {}, reference_pdf: '<string>', status: 'processing'})
};
fetch('https://api.yorlet.com/v1/references/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/references/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'metadata' => [
],
'reference_pdf' => '<string>',
'status' => 'processing'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/references/{id}"
payload := strings.NewReader("{\n \"metadata\": {},\n \"reference_pdf\": \"<string>\",\n \"status\": \"processing\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/references/{id}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"metadata\": {},\n \"reference_pdf\": \"<string>\",\n \"status\": \"processing\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/references/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"metadata\": {},\n \"reference_pdf\": \"<string>\",\n \"status\": \"processing\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "reference",
"application": "<string>",
"automatic_reference": {
"enabled": true,
"last_error": "<string>",
"outcome": "<string>",
"provider_data": {
"advance_rent": {
"affordability": {
"percentage": 123,
"status": "<string>"
},
"credit_score": 123,
"notes": [
{
"created": 123,
"message": "<string>"
}
],
"progress": 123,
"sanctions_passed": true
},
"type": "advance_rent"
},
"provider": "advance_rent",
"status": "<string>"
},
"completed_at": 123,
"customer": "<string>",
"outcome": "accept",
"reference_pdf": "<string>",
"status": "pending",
"type": "customer",
"account": "<string>",
"deleted": false,
"metadata": {}
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Body
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Show child attributes
Show child attributes
The outcome of the reference.
accept, consider, high_risk The file of the completed reference PDF.
If the reference is off-platform you can update the status to processing.
processing Response
Returns the reference object if the update succeeded.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
reference The identifier of the application for the reference.
Automatic reference settings for this reference.
Show child attributes
Show child attributes
The timestamp of the reference completion.
The customer for the reference.
The outcome of the reference.
accept, consider, high_risk, null The file of the completed reference PDF.
^[a-zA-Z0-9_]+$The status of the reference.
pending, processing, complete, canceled The reference type.
customer The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
The metadata for the reference.
Show child attributes
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.yorlet.com/v1/references/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {},
"reference_pdf": "<string>",
"status": "processing"
}
'import requests
url = "https://api.yorlet.com/v1/references/{id}"
payload = {
"metadata": {},
"reference_pdf": "<string>",
"status": "processing"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {}, reference_pdf: '<string>', status: 'processing'})
};
fetch('https://api.yorlet.com/v1/references/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.yorlet.com/v1/references/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'metadata' => [
],
'reference_pdf' => '<string>',
'status' => 'processing'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.yorlet.com/v1/references/{id}"
payload := strings.NewReader("{\n \"metadata\": {},\n \"reference_pdf\": \"<string>\",\n \"status\": \"processing\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.yorlet.com/v1/references/{id}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"metadata\": {},\n \"reference_pdf\": \"<string>\",\n \"status\": \"processing\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.yorlet.com/v1/references/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"metadata\": {},\n \"reference_pdf\": \"<string>\",\n \"status\": \"processing\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created": 123,
"object": "reference",
"application": "<string>",
"automatic_reference": {
"enabled": true,
"last_error": "<string>",
"outcome": "<string>",
"provider_data": {
"advance_rent": {
"affordability": {
"percentage": 123,
"status": "<string>"
},
"credit_score": 123,
"notes": [
{
"created": 123,
"message": "<string>"
}
],
"progress": 123,
"sanctions_passed": true
},
"type": "advance_rent"
},
"provider": "advance_rent",
"status": "<string>"
},
"completed_at": 123,
"customer": "<string>",
"outcome": "accept",
"reference_pdf": "<string>",
"status": "pending",
"type": "customer",
"account": "<string>",
"deleted": false,
"metadata": {}
}